Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics.predictor
Class None

    java.lang.Object
      org.pdfbox.pdmodel.graphics.predictor.PredictorAlgorithm
          org.pdfbox.pdmodel.graphics.predictor.None

public class None
extends PredictorAlgorithm

The none algorithm. `None(i,j) = Raw(i,j)` `Raw(i,j) = None(i,j)`

Version:
  $Revision: 1.3 $
Author:
  xylifyx@yahoo.co.uk

Constructor Summary
`None()`

Method Summary
`void` | `decode(byte[] src, byte[] dest)` decode a byte array full of image data using the filter that this object implements.
`void` | `decodeLine(byte[] src, byte[] dest, int srcDy, int srcOffset, int destDy, int destOffset)` decode line of pixel data in src from src_offset and width*bpp bytes forward, put the decoded bytes into dest.
`void` | `encode(byte[] src, byte[] dest)` encode a byte array full of image data using the filter that this object implements.
`void` | `encodeLine(byte[] src, byte[] dest, int srcDy, int srcOffset, int destDy, int destOffset)` encode line of pixel data in src from srcOffset and width*bpp bytes forward, put the decoded bytes into dest.

Methods inherited from class org.pdfbox.pdmodel.graphics.predictor.PredictorAlgorithm
`aboveLeftPixel, abovePixel, checkBufsiz, getBpp, getFilter, getHeight, getWidth, leftPixel, main, setBpp, setHeight, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### None

    public None()

Method Detail

### encode

    public void encode(byte[] src,
                       byte[] dest)

  encode a byte array full of image data using the filter that this object implements.

  Overrides:
    `encode` in class `PredictorAlgorithm`
  Parameters:
    `src` - buffer
    `dest` - buffer

### decode

    public void decode(byte[] src,
                       byte[] dest)

  decode a byte array full of image data using the filter that this object implements.

  Overrides:
    `decode` in class `PredictorAlgorithm`
  Parameters:
    `src` - buffer
    `dest` - buffer

### encodeLine

    public void encodeLine(byte[] src,
                           byte[] dest,
                           int srcDy,
                           int srcOffset,
                           int destDy,
                           int destOffset)

  encode line of pixel data in src from srcOffset and width*bpp bytes forward, put the decoded bytes into dest.

  Specified by:
    `encodeLine` in class `PredictorAlgorithm`
  Parameters:
    `src` - raw image data
    `dest` - encoded data
    `srcDy` - byte offset between lines
    `srcOffset` - beginning of line data
    `destDy` - byte offset between lines
    `destOffset` - beginning of line data

### decodeLine

    public void decodeLine(byte[] src,
                           byte[] dest,
                           int srcDy,
                           int srcOffset,
                           int destDy,
                           int destOffset)

  decode line of pixel data in src from src_offset and width*bpp bytes forward, put the decoded bytes into dest.

  Specified by:
    `decodeLine` in class `PredictorAlgorithm`
  Parameters:
    `src` - encoded image data
    `dest` - raw data
    `srcDy` - byte offset between lines
    `srcOffset` - beginning of line data
    `destDy` - byte offset between lines
    `destOffset` - beginning of line data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD